Page MenuHomePhabricator

Make pybal accept 30[12] for ProxyFetch
Closed, ResolvedPublic

Description

Pybal considers the 30[12] TLS redirects to be failures. I've worked around the pragmatic immediate-term issue by avoiding the situation (ProxyFetch only on HTTPS, not HTTP services), but in the long term we should fix this so that we can healthcheck our public HTTP services fully, which will return 301s for most things going forward...

Event Timeline

BBlack created this task.Jun 14 2015, 3:36 AM
BBlack raised the priority of this task from to High.
BBlack updated the task description. (Show Details)
BBlack added projects: acl*sre-team, Traffic.
BBlack added subscribers: BBlack, faidon, mark.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2015, 3:36 AM

Change 218285 had a related patch set uploaded (by BBlack):
Revert s/en/de/ for LVS monitoring; switch ProxyFetch to TLS

https://gerrit.wikimedia.org/r/218285

BBlack renamed this task from Fix pybal monitoring of port 80 text/mobile services in light of HTTPS redirects to Make pybal accept 30[12] for ProxyFetch.Jun 15 2015, 1:33 PM
BBlack updated the task description. (Show Details)
BBlack edited projects, added Pybal; removed Patch-For-Review.
BBlack set Security to None.

Switched this task up a bit. We'll merge the patch above to get past short term issues, and this is now about fixing it for good later.

Change 218285 merged by BBlack:
Revert s/en/de/ for LVS monitoring; switch ProxyFetch to TLS

https://gerrit.wikimedia.org/r/218285

fgiunchedi assigned this task to BBlack.Jul 21 2015, 1:51 PM
fgiunchedi added a subscriber: fgiunchedi.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 21 2015, 1:51 PM

Change 233054 had a related patch set uploaded (by Ori.livneh):
Make pybal accept 30[12] for ProxyFetch

https://gerrit.wikimedia.org/r/233054

Aklapper added a subscriber: ori.Sep 29 2015, 11:12 AM

@ori, @BBlack: Any plans to rework that last patch?
Asking as this task is blocking T113151 which has priority "Unbreak now".

Change 243139 had a related patch set uploaded (by Giuseppe Lavagetto):
Add support for http_status to ProxyFetch

https://gerrit.wikimedia.org/r/243139

Joe claimed this task.Oct 2 2015, 11:08 AM

Change 243139 merged by jenkins-bot:
Add support for http_status to ProxyFetch

https://gerrit.wikimedia.org/r/243139

Joe closed this task as Resolved.Nov 3 2015, 12:58 PM
BBlack moved this task from Triage to Done on the Traffic board.Nov 30 2015, 6:02 PM

Change 233054 abandoned by Ori.livneh:
Make pybal accept 30[12] for ProxyFetch

https://gerrit.wikimedia.org/r/233054

Change 430393 had a related patch set uploaded (by Mark Bergsma; owner: Mark Bergsma):
[operations/debs/pybal@master] Handle HTTP status 302 and 303 as well as 301

https://gerrit.wikimedia.org/r/430393

Change 430393 merged by jenkins-bot:
[operations/debs/pybal@master] Handle HTTP status 302 and 303 as well as 301

https://gerrit.wikimedia.org/r/430393